com.sun.grid.jgdi.event

## Class JobEvent

- java.lang.Object
- - com.sun.grid.jgdi.event.Event
  - - com.sun.grid.jgdi.event.JobEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    JobFinishEvent, JobUsageEvent

      public abstract class JobEvent
      extends Event
      implements java.io.Serializable

  Abstract base class for all job events
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobEvent(long timestamp, int evtId)` Creates a new instance of JobFinishEvent

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getJobId()`
    `java.lang.String` | `getPeTaskId()`
    `int` | `getTaskId()`
    `void` | `setJobId(int jobId)`
    `void` | `setPeTaskId(java.lang.String peTaskId)`
    `void` | `setTaskId(int taskId)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.event.Event

      `getEventId, getTimestamp, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobEvent

          public JobEvent(long timestamp,
                          int evtId)

      Creates a new instance of JobFinishEvent

  - ### Method Detail

    - #### getJobId

          public int getJobId()

    - #### setJobId

          public void setJobId(int jobId)

    - #### getTaskId

          public int getTaskId()

    - #### setTaskId

          public void setTaskId(int taskId)

    - #### getPeTaskId

          public java.lang.String getPeTaskId()

    - #### setPeTaskId

          public void setPeTaskId(java.lang.String peTaskId)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Event`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.